I seem to be stuck with an older versionSupport


  1. Hello,

    I just got a new phone a couple of days ago, a Desire S. Now, I really liked the interface, and the lockscreen used a lockring though to unlock it. Problem was, the screen turned out to be a bit loose, so I returned it and got a new one (same model, Desire S). Unfortunately, this one seems to be a different version (or something) as the lockscreen is just a bar that I pull down to unlock, I can't put a clock on it (there is one there, but I far preferred the other one) and I can't use the lockring.

    Additionally, I've noticed the transitions from left to right on the home page aren't as flashy, they don't seem to swivel around (as if the screens were on a cube, rather than in a line) but just slide from one to the other. The market app also seems to be different, showing just a list of recommended apps and a couple of tabs neat the tops, as opposed to a totally different one the other phone had. There might be other things, but I haven't had it for too long. If I had to guess I'd say it's on the wrong firmware.

    Anyway, I'm not sure what's wrong and I was wondering if anyone knew what was up with it and how to fix it. If this is a common thing then sorry for creating a new thread about it, I had a look and couldn't see anything.

    One thing I did notice people mention was that there was another button under personalize for editing the lockscreen, this WAS in the first phone but isn't present in this one.

    Thanks.

    Advertisement
  2. yodude01

    yodude01 Member

    seems like you're on older version of android. Before you were using android 2.3.5 with sense 3.0.

    Please go to Menu>Settings>About and then software updates. press check button to see if there is any software update available, if so, install it. Update size will be around 200-250mb therefore use wifi for that.
    TheIncredibleD likes this.
  3. Tried it, and it didn't work. :(

    EDIT: Sorry, should have provided the versions that are installed.

    It's Android 2.3.3 and HTC Sense 2.1
  4. yodude01

    yodude01 Member

    It's probably due to variant change. Through proper procedure, only you can do is to wait until android 2.3.5 is available for your phone. The other method is through installing roms which i'm not aware of how to install, other forum members might guide you. Or you can contact your phone providers and ask them to change your DS and give you with a new android version.
    TheIncredibleD likes this.
  5. Hmm, I was worried it would be something like that. What I don't understand though, is that if that's the case, then why did my first phone have the much newer version despite it being exactly the same model.
  6. FoX777

    FoX777 Well-Known Member

    The releasing of ota's is far from an exact science, it really comes down to HTC/your operator.

    you can either wait...... or download your correct RUU, or use a different launcher all together...... such as launcher pro or adw launcher. you won't be sorry, will take a bit of time to set it up, but once setup its better than sense.
  7. yodude01

    yodude01 Member

    As FoX777 told, we can't exactly judge the firmware update policy of HTC/Operators. Some phones get it early and some late. I think it's region based. Firstly all European phones get the update and then other regions.

Share This Page